SPA AI Error Analysis
AI Error Analysis for a blocked RenderingRequest
AI Error Analysis for a blocked RenderingRequest
POST
/api/spa/rendering-requests/{id}/error-analysisAuthorizations
X-AUTH-TOKEN
stringheaderrequired
Value for the X-AUTH-TOKEN header parameter.
Path Parameters
id
stringrequired
SpaRenderingRequestErrorAnalysis identifier
Request Body
application/json
required
The new SpaRenderingRequestErrorAnalysis resource
{
"locale": "en",
"summary": "string",
"likelyCauses": [
"string"
],
"recommendedChecks": [
"string"
],
"usedIdentifiers": [
"string"
],
"confidence": "string",
"issueType": "string",
"failingExpression": "string",
"suspectedRenderDataPaths": [
"string"
],
"needsRenderDataLookup": true,
"concreteError": "string",
"inspectedRenderData": [
"string"
]
}Response
201
SpaRenderingRequestErrorAnalysis resource created
locale
string
summary
string | null
likelyCauses
string | null[] | null
recommendedChecks
string | null[] | null
usedIdentifiers
string | null[] | null
confidence
string | null
issueType
string | null
failingExpression
string | null
suspectedRenderDataPaths
string | null[] | null
needsRenderDataLookup
boolean | null
concreteError
string | null
inspectedRenderData
string | null[] | null